#include <stdio.h>
#include <string.h>
#include <newt.h>

int Wizard(char *title, char *body, char *o1, char *o2, char *o3, int *pos, int *dir)
{
	char *p;
	char *w;
	char *b;
	int i=0;
	int j=0;
	
	newtComponent form, label[5], buttons[3], pb=NULL, ok;
	
	newtCenteredWindow(64, 18, title);
	
	form=newtForm(NULL, NULL, 0);

	p=strdup(body);
	w=p;
	b=p;
	
	while(1)
	{
		if(*w=='\n' || *w==0)
		{
			char e=*w;
			*w=0;
			label[i]=newtLabel(2, 3+i, b);
			newtFormAddComponent(form, label[i]);
			b=w+1;
			i++;
			if(!e)
				break;
		}
		w++;
	}

	for(j=0;j<3;j++)
		buttons[j]=0;
		
	if(o1)
		pb=buttons[0]=newtRadiobutton(20, 6+i, o1, 1, pb);
	if(o2)
		pb=buttons[1]=newtRadiobutton(20, 7+i, o2, 0, pb);
	if(o3)
		pb=buttons[2]=newtRadiobutton(20, 8+i, o3, 0, pb);
	
	for(j=0;j<3;j++)
	{
		if(buttons[j])
			newtFormAddComponent(form, buttons[j]);
	}
	
	ok=newtButton(26, 14, "  OK  ");
	newtFormAddComponent(form, ok);
	
	newtRunForm(form);
	
	if(buttons[0]!=NULL)
	{
		for(i=0;i<3;i++)
		{
			if(newtRadioGetCurrent(buttons[0])==buttons[i])
				break;
		}
	}
	newtFormDestroy(form);
	
	*pos += *dir;
	
	return i;
}
	
void InitGUI(void)
{
	newtComponent form, button;
	newtComponent label[5];
	int width, height;
	
	newtInit();
	newtCls();
	
	newtGetScreenSize(&width, &height);
	
	newtCenteredWindow(40,15, "Welcome To Lokkit");
	
	label[0]=newtLabel(14,2, "Lokkit 0.0.5");
	label[1]=newtLabel(11,4, "(C) 1999 Alan Cox");
	label[3]=newtLabel(15,7, "No Warranty");

	button = newtButton(15, 11, "   OK  ");
	form=newtForm(NULL, NULL, 0);
	newtFormAddComponents(form, button, label[0], label[1], label[3], NULL);
	
	newtRunForm(form);
	newtFormDestroy(form);
	newtPopWindow();
}

void EndGUI(void)
{
	newtFinished();
}
